"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const issues_1 = require("./issues");
exports.default = {
    [issues_1.ProviderIssue.ACTIONS_ORDER_KIND_NOT_SUPPORTED]: 'Actions order kind not supported.',
    [issues_1.ProviderIssue.DYNAMIC_ACTIONS_ORDER_SIGNATURES]: 'Amount of signature not consistent with signers for DYNAMIC_ACTIONS_ORDER kind.',
    [issues_1.ProviderIssue.FIXED_ACTIONS_ORDER_SIGNATURES]: 'Amount of signature not consistent with signers for FIXED_ACTIONS_ORDER kind.',
    [issues_1.ProviderIssue.SIGNED_DYNAMIC_ACTIONS_ORDER_SIGNATURES]: 'Amount of signature not consistent with signers for SIGNED_DYNAMIC_ACTIONS_ORDER kind.',
    [issues_1.ProviderIssue.SIGNED_FIXED_ACTIONS_ORDER_SIGNATURES]: 'Amount of signature not consistent with signers for SIGNED_FIXED_ACTIONS_ORDER kind.',
    [issues_1.ProviderIssue.NO_RECEIVER_ID]: 'ReceiverId is not set.',
    [issues_1.ProviderIssue.PROXY_KIND_NOT_SUPPORTED]: 'Invalid proxy kind.',
    [issues_1.ProviderIssue.SENDER_ID_NOT_A_SIGNER]: 'SenderId is not a signer.',
    [issues_1.ProviderIssue.SENDER_ID_AND_RECEIVER_ID_MISSING]: 'Both senderId and receiverId are missing.',
    [issues_1.ProviderIssue.ACTION_KIND_NOT_SUPPORTED]: 'Not implemented.',
    [issues_1.ProviderIssue.ERC20_APPROVAL_RACE_CONDITION]: 'First set approval to 0. ERC-20 token potential attack.',
    [issues_1.ProviderIssue.ERC20_NOT_ENOUGH_BALANCE]: 'Sender does not have sufficient balance.',
    [issues_1.ProviderIssue.ERC20_NOT_ENOUGH_ALLOWANCE]: 'You do not have sufficient allowance.',
    [issues_1.ProviderIssue.ERC721_ZERO_ADDRESS]: 'Provided address cannot be zero address.',
    [issues_1.ProviderIssue.ERC721_NOT_VALID_NFT]: 'Asset with this ID does not exist.',
    [issues_1.ProviderIssue.ERC721_NOT_OWNER_OR_OPERATOR]: 'Sender is neither asset owner nor operator.',
    [issues_1.ProviderIssue.ERC721_NOT_OWNER_APPROWED_OR_OPERATOR]: 'Sender is neither asset owner, approved nor operator.',
    [issues_1.ProviderIssue.ERC721_NOT_ABLE_TO_RECEIVE_NFT]: 'Receiver is not able to safely receive the asset.',
    [issues_1.ProviderIssue.ERC721_NFT_ALREADY_EXISTS]: 'Asset with provided ID already exists.',
    [issues_1.ProviderIssue.ERC721_METADATA_ZERO_ADDRESS]: 'Provided address cannot be zero address.',
    [issues_1.ProviderIssue.ERC721_METADATA_NOT_VALID_NFT]: 'Asset with this ID does not exist.',
    [issues_1.ProviderIssue.ERC721_METADATA_NOT_OWNER_OR_OPERATOR]: 'Sender is neither asset owner nor operator.',
    [issues_1.ProviderIssue.ERC721_METADATA_NOT_OWNER_APPROWED_OR_OPERATOR]: 'Sender is neither asset owner, approved nor operator.',
    [issues_1.ProviderIssue.ERC721_METADATA_NOT_ABLE_TO_RECEIVE_NFT]: 'Receiver is not able to safely receive the asset.',
    [issues_1.ProviderIssue.ERC721_METADATA_NFT_ALREADY_EXISTS]: 'Asset with provided ID already exists.',
    [issues_1.ProviderIssue.ERC721_ENUMERABLE_ZERO_ADDRESS]: 'Provided address cannot be zero address.',
    [issues_1.ProviderIssue.ERC721_ENUMERABLE_NOT_VALID_NFT]: 'Asset with this ID does not exist.',
    [issues_1.ProviderIssue.ERC721_ENUMERABLE_NOT_OWNER_OR_OPERATOR]: 'Sender is neither asset owner nor operator.',
    [issues_1.ProviderIssue.ERC721_ENUMERABLE_NOT_OWNER_APPROWED_OR_OPERATOR]: 'Sender is neither asset owner, approved nor operator.',
    [issues_1.ProviderIssue.ERC721_ENUMERABLE_NOT_ABLE_TO_RECEIVE_NFT]: 'Receiver is not able to safely receive the asset.',
    [issues_1.ProviderIssue.ERC721_ENUMERABLE_NFT_ALREADY_EXISTS]: 'Asset with provided ID already exists.',
    [issues_1.ProviderIssue.ERC721_ENUMERABLE_INVALID_INDEX]: 'There is no asset at provided index.',
    [issues_1.ProviderIssue.ERC721_METADATA_ENUMERABLE_ZERO_ADDRESS]: 'Provided address cannot be zero address.',
    [issues_1.ProviderIssue.ERC721_METADATA_ENUMERABLE_NOT_VALID_NFT]: 'Asset with this ID does not exist.',
    [issues_1.ProviderIssue.ERC721_METADATA_ENUMERABLE_NOT_OWNER_OR_OPERATOR]: 'Sender is neither asset owner nor operator.',
    [issues_1.ProviderIssue.ERC721_METADATA_ENUMERABLE_NOT_OWNER_APPROWED_OR_OPERATOR]: 'Sender is neither asset owner, approved nor operator.',
    [issues_1.ProviderIssue.ERC721_METADATA_ENUMERABLE_NOT_ABLE_TO_RECEIVE_NFT]: 'Receiver is not able to safely receive the asset.',
    [issues_1.ProviderIssue.ERC721_METADATA_ENUMERABLE_NFT_ALREADY_EXISTS]: 'Asset with provided ID already exists.',
    [issues_1.ProviderIssue.ERC721_METADATA_ENUMERABLE_INVALID_INDEX]: 'There is no asset at provided index.',
    [issues_1.ProviderIssue.XCERT_CAPABILITY_NOT_SUPPORTED]: 'Asset ledger does not have capability for this action.',
    [issues_1.ProviderIssue.XCERT_TRANSFERS_DISABLED]: 'Transfers on this asset ledger are currently disabled.',
    [issues_1.ProviderIssue.XCERT_NOT_VALID_XCERT]: 'Asset with this ID does not exist.',
    [issues_1.ProviderIssue.XCERT_NOT_OWNER_OR_OPERATOR]: 'Sender is neither asset owner nor operator.',
    [issues_1.ProviderIssue.XCERT_INVALID_SIGNATURE]: 'Provided signature is invalid.',
    [issues_1.ProviderIssue.XCERT_INVALID_SIGNATURE_KIND]: 'Provided signature kind is invalid.',
    [issues_1.ProviderIssue.XCERT_CLAIM_PERFORMED]: 'This order was already performed.',
    [issues_1.ProviderIssue.XCERT_CLAIM_EXPIRED]: 'This order has expired.',
    [issues_1.ProviderIssue.XCERT_CLAIM_CANCELED]: 'This order was canceled.',
    [issues_1.ProviderIssue.XCERT_NOT_OWNER]: 'You are not the owner of the order.',
    [issues_1.ProviderIssue.SAFE_MATH_OVERFLOW]: 'This action caused a math error: overflow.',
    [issues_1.ProviderIssue.SAFE_MATH_SUBTRAHEND_GREATER_THEN_MINUEND]: 'This action caused a math error: subtrahend is greater than minuend.',
    [issues_1.ProviderIssue.SAFE_MATH_DIVISION_BY_ZERO]: 'This action caused a math error: division by zero.',
    [issues_1.ProviderIssue.XCERT_DEPLOY_GATEWAY_INVALID_SIGNATURE_KIND]: 'Provided signature kind is invalid.',
    [issues_1.ProviderIssue.XCERT_DEPLOY_GATEWAY_TAKER_NOT_EQUAL_TO_SENDER]: 'Sender is not allowed to execute this order.',
    [issues_1.ProviderIssue.XCERT_DEPLOY_GATEWAY_CLAIM_EXPIRED]: 'This order has expired.',
    [issues_1.ProviderIssue.XCERT_DEPLOY_GATEWAY_INVALID_SIGNATURE]: 'Provided signature is invalid.',
    [issues_1.ProviderIssue.XCERT_DEPLOY_GATEWAY_DEPLOY_CANCELED]: 'This order was canceled.',
    [issues_1.ProviderIssue.XCERT_DEPLOY_GATEWAY_DEPLOY_ALREADY_PERFORMED]: 'This order was already performed.',
    [issues_1.ProviderIssue.XCERT_DEPLOY_GATEWAY_MAKER_NOT_EQUAL_TO_SENDER]: 'Sender is not the creator of this order.',
    [issues_1.ProviderIssue.DAPP_TOKEN_NOT_ENOUGH_BALANCE]: 'Sender does not have sufficient balance.',
    [issues_1.ProviderIssue.DAPP_TOKEN_NOT_ENOUGH_ALLOWANCE]: 'You do not have sufficient allowance.',
    [issues_1.ProviderIssue.DAPP_TOKEN_NOT_WHITELISTED_ADDRESS]: 'Tokens cannot be sent to this recipient. Recipients are limited.',
    [issues_1.ProviderIssue.DAPP_TOKEN_NOT_MIGRATION_NOT_STARTED]: 'Migration is not in progress.',
    [issues_1.ProviderIssue.DAPP_TOKEN_MIGRATION_STARTED]: 'Migration is in progress.',
    [issues_1.ProviderIssue.DAPP_TOKEN_NOT_ABLE_TO_MIGRATE]: 'Migration cannot be performed. Please notify token owner.',
    [issues_1.ProviderIssue.DAPP_TOKEN_INVALID_SIGNATURE]: 'Provided signature is invalid.',
    [issues_1.ProviderIssue.DAPP_TOKEN_CLAIM_PERFORMED]: 'This order was already performed.',
    [issues_1.ProviderIssue.DAPP_TOKEN_CLAIM_EXPIRED]: 'This order has expired.',
    [issues_1.ProviderIssue.DAPP_TOKEN_INVALID_SIGNATURE_KIND]: 'Provided signature kind is invalid.',
    [issues_1.ProviderIssue.DAPP_TOKEN_CLAIM_CANCELED]: 'This order was canceled.',
    [issues_1.ProviderIssue.ERC20_DEPLOY_GATEWAY_INVALID_SIGNATURE_KIND]: 'Provided signature kind is invalid.',
    [issues_1.ProviderIssue.ERC20_DEPLOY_GATEWAY_TAKER_NOT_EQUAL_TO_SENDER]: 'Sender is not allowed to execute this order.',
    [issues_1.ProviderIssue.ERC20_DEPLOY_GATEWAY_CLAIM_EXPIRED]: 'This order has expired.',
    [issues_1.ProviderIssue.ERC20_DEPLOY_GATEWAY_INVALID_SIGNATURE]: 'Provided signature is invalid.',
    [issues_1.ProviderIssue.ERC20_DEPLOY_GATEWAY_DEPLOY_CANCELED]: 'This order was canceled.',
    [issues_1.ProviderIssue.ERC20_DEPLOY_GATEWAY_DEPLOY_ALREADY_PERFORMED]: 'This order was already performed.',
    [issues_1.ProviderIssue.ERC20_DEPLOY_GATEWAY_MAKER_NOT_EQUAL_TO_SENDER]: 'Sender is not the creator of this order.',
    [issues_1.ProviderIssue.ERC20_TRANSFER_PROXY_TRANSFER_FAILED]: 'Transfer failed.',
    [issues_1.ProviderIssue.ACTIONS_GATEWAY_INVALID_SIGNATURE_KIND]: 'Provided signature kind is invalid.',
    [issues_1.ProviderIssue.ACTIONS_GATEWAY_INVALID_PROXY]: 'Invalid proxy.',
    [issues_1.ProviderIssue.ACTIONS_GATEWAY_SENDER_NOT_A_SIGNER]: 'Sender is not one of the signers.',
    [issues_1.ProviderIssue.ACTIONS_GATEWAY_CLAIM_EXPIRED]: 'This order has expired.',
    [issues_1.ProviderIssue.ACTIONS_GATEWAY_INVALID_SIGNATURE]: 'Provided signature is invalid.',
    [issues_1.ProviderIssue.ACTIONS_GATEWAY_ORDER_CANCELED]: 'This order was canceled.',
    [issues_1.ProviderIssue.ACTIONS_GATEWAY_ORDER_ALREADY_PERFORMED]: 'This order was already performed.',
    [issues_1.ProviderIssue.ACTIONS_GATEWAY_SIGNERS_DOES_NOT_INCLUDE_SENDER]: 'Sender is not one of the signers.',
    [issues_1.ProviderIssue.SIGNER_DOES_NOT_HAVE_ALLOW_CREATE_ASSET_ABILITY]: 'Signer of CREATE_ASSET action does not have ALLOW_CREATE_ASSET ability.',
    [issues_1.ProviderIssue.SIGNER_DOES_NOT_HAVE_ALLOW_UPDATE_ASSET_ABILITY]: 'Signer of UPDATE_ASSET action does not have ALLOW_UPDATE_ASSET ability.',
    [issues_1.ProviderIssue.SIGNER_DOES_NOT_HAVE_ALLOW_MANAGE_ABILITIES_ABILITY]: 'Signer of SET_ASSET_LEDGER_ABILITY action does not have ALLOW_MANAGE_ABILITIES ability.',
    [issues_1.ProviderIssue.SIGNER_IS_NOT_DESTROY_ASSET_OWNER]: 'Signer of DESTROY_ASSET action is not the asset owner.',
    [issues_1.ProviderIssue.ABILITABLE_NOT_AUTHORIZED]: 'Sender does not have specified ability.',
    [issues_1.ProviderIssue.ABILITABLE_INVALID_INPUT]: 'Ability 0 is not a valid ability.',
    [issues_1.ProviderIssue.OWNABLE_NOT_OWNER]: 'Sender is not an owner.',
    [issues_1.ProviderIssue.OWNABLE_ZERO_ADDRESS]: 'Provided address cannot be zero address.',
    [issues_1.ProviderIssue.CLAIMABLE_NOT_PENDING_OWNER]: 'Sender cannot claim ownership.',
};
//# sourceMappingURL=messages.js.map