"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProviderError = exports.ProviderEvent = void 0;
const messages_1 = require("./messages");
var ProviderEvent;
(function (ProviderEvent) {
    ProviderEvent["ACCOUNT_CHANGE"] = "accountChanged";
    ProviderEvent["NETWORK_CHANGE"] = "networkChanged";
})(ProviderEvent = exports.ProviderEvent || (exports.ProviderEvent = {}));
class ProviderError extends Error {
    constructor(issue, original) {
        super();
        this.name = 'ProviderError';
        this.issue = issue;
        this.original = original;
        this.message = messages_1.default[issue] || `GenericProvider error [issue: ${issue}]`;
        if (Error.captureStackTrace) {
            Error.captureStackTrace(this, this.constructor);
        }
    }
}
exports.ProviderError = ProviderError;
//# sourceMappingURL=provider.js.map