import { GatewayBase } from './gateway';
import { MutationBase } from './mutation';
export interface ValueLedgerBase {
    readonly id: string;
    approveValue(value: string, accountId: string | GatewayBase): Promise<MutationBase>;
    disapproveValue(accountId: string | GatewayBase): Promise<MutationBase>;
    getApprovedValue(accountId: string, spenderId: string): Promise<String>;
    getBalance(accountId: string): Promise<string>;
    getInfo(): Promise<ValueLedgerInfo>;
    isApprovedValue(value: string, accountId: string | GatewayBase, spenderId: string): Promise<Boolean>;
    transferValue(recipe: ValueLedgerTransferRecipe): Promise<MutationBase>;
}
export interface ValueLedgerDeployRecipe {
    name: string;
    symbol: string;
    decimals: string;
    supply: string;
}
export interface ValueLedgerInfo {
    name: string;
    symbol: string;
    decimals: number;
    supply: string;
}
export interface ValueLedgerTransferRecipe {
    senderId?: string;
    receiverId: string;
    value: string;
}
